public class My3DArray {

    private List<List<List<Object>>> list;
    private int dim1;
    private int dim2;
    private int dim3;

    public My3DArray() {
        this.dim1 = this.dim2 = this.dim3 = 5;
        this.list = generate3DArray(5, 5, 5);
    }
    
    public My3DArray(int dim1, int dim2, int dim3) {
        this.dim1 = dim1;
        this.dim2 = dim2;
        this.dim3 = dim3;
        this.list = generate3DArray(dim1, dim2, dim3);
    }    

    public List<List<List<Object>>> generate3DArray(int dim1, int dim2, int dim3) {
        List<List<List<Object>>> list = new ArrayList<List<List<Object>>>();
        for(int i = 0; i < dim1; i++) {
            List<List<Object>> list2 = new ArrayList<List<Object>>();
            for(int j = 0; j < dim2; j++) {
                List<Object> list3 = new ArrayList<Object>(dim3);
                list2.add(list3);
            }
            list.add(list2);
        }
        return list;
    }

    public Object getElementIn3DArray(int i, int j, int k)
        throws NullPointerException, ArrayIndexOutOfBoundsException {
        return list.get(i).get(j).get(k);
    }

    public void setElementIn3DArray(Object o, int i, int j)
        throws NullPointerException, ArrayIndexOutOfBoundsException {
        list.get(i).get(j).add(o);
    }
    
    public int get1stDimensionSize() {
      return dim1;
    }

    public int get2ndDimensionSize() {
      return dim2;
    }
    
    public int get3rdDimensionSize() {
      return dim3;
    }    
}